﻿using MetroUIMenu.Properties;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace MetroUIMenu
{
    public partial class MianForm : Form
    {
        public MianForm()
        {
            InitializeComponent();
            this.menuFolder.Elements = new List<MetroMenuElement>()
            {
                new  MetroMenuElement()
                {
                    Title = "Sales",
                    Icon = Resources.Sales,
                },
                 new  MetroMenuElement()
                {
                     Title = "Products",
                     Icon = Resources.Products,
                },
                  new  MetroMenuElement()
                {
                      Title = "Sectors",
                      Icon = Resources.Sectors,
                },
                   new  MetroMenuElement()
                {
                       Title = "Regions",
                       Icon = Resources.Regions,
                },
                    new  MetroMenuElement()
                {
                        Title = "Channels",
                        Icon = Resources.Channels,
                },
            };
            menuFolder.ElementSelected += MenuFolder_ElementSelected;
        }

        private void MenuFolder_ElementSelected(object sender, MenuElementEventArgs e)
        {
            MessageBox.Show(this, e.Element.Title);
        }

        private void MianForm_Load(object sender, EventArgs e)
        {

        }
    }
}
